Bug 847712 - (mate-menus) Review Request: mate-menus - Displays menus for MATE Desktop
Review Request: mate-menus - Displays menus for MATE Desktop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 874722 (view as bug list)
Depends On:
Blocks: MATE-DE-tracker
  Show dependency treegraph
 
Reported: 2012-08-13 06:31 EDT by Dan Mashal
Modified: 2012-12-01 03:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 16:59:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Mashal 2012-08-13 06:31:58 EDT
Spec URL: http://vicodan.fedorapeople.org/matespec/mate-menus.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-menus-1.4.0-1.fc17.src.rpm
Description: Displays menus for MATE Desktop
Comment 1 leigh scott 2012-08-13 15:33:44 EDT
Ok there is a ownership issue, change this

%files -f %{name}.lang
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-applications.menu
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-settings.menu
%{_datadir}/mate-menus/examples/mate-menus-ls.py
%{_datadir}/mate-menus/examples/mate-menus-ls.pyc
%{_datadir}/mate-menus/examples/mate-menus-ls.pyo
%{_datadir}/mate/desktop-directories/


to (mate-menus owns %{_datadir}/mate-menus/ )

%files -f %{name}.lang
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-applications.menu
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-settings.menu
%{_datadir}/mate-menus/
%{_datadir}/mate/desktop-directories/
Comment 2 Dan Mashal 2012-08-17 00:23:03 EDT
Done.

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-menus.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-menus-1.4.0-2.fc17.src.rpm
Description: Displays menus for MATE Desktop
Comment 3 leigh scott 2012-08-17 01:18:36 EDT
please change this

%package devel
Summary: Development files for mate-menus
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

to


%package devel
Summary: Development files for mate-menus
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

as the -libs package already requires it.
Comment 4 Dan Mashal 2012-08-17 01:23:10 EDT
Done.

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-menus.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-menus-1.4.0-3.fc17.src.rpm
Description: Displays menus for MATE Desktop
Comment 5 Rex Dieter 2012-08-19 14:52:43 EDT
I'll review this  today
Comment 6 Rex Dieter 2012-08-19 15:09:01 EDT
1.  So, looking at the main package, there's little risk of multilib conflicts (no binaries in particular), so I'm tempted to suggest dropping the -libs subpkg, and just fold all it's content (and scriptlets) into the main pkg (that's how gnome-menus is packaged, fwiw).

2.  SHOULD move
NOCONFIGURE=1 ./autogen.sh
to %prep section

3.  SHOULD: noticed /usr/share/mate dir is unowned, will leave to you to  decide where in  the mate stack would best own this.  checking /usr/share/gnome
$ rpm -q -f /usr/share/gnome
filesystem-3-2.fc17.x86_64
not helpful here. :(

4. SHOULD investigate if we need
Requires: redhat-menus
here somewhere.  (ie, test running this  and mate without redhat-menus installed, to see if there's any regressions or oddities)

otherwise,

naming: ok

macros:  ok

scriptlets: ok

sources: ok

$ md5sum *.xz
540af0f76e2a28821cf4d32832c784d2  mate-menus-1.4.0.tar.xz

licensing: ok


items 1-4 aren't strictly blockers, but please do comment on or address them prior to doing any builds.


APPROVED.
Comment 7 leigh scott 2012-08-19 15:53:09 EDT
(In reply to comment #6)

> 3.  SHOULD: noticed /usr/share/mate dir is unowned, will leave to you to 
> decide where in  the mate stack would best own this.  checking
> /usr/share/gnome
> $ rpm -q -f /usr/share/gnome
> filesystem-3-2.fc17.x86_64
> not helpful here. :(
> 

It seems mate-dialogs currently owns /usr/share/mate

yum --enablerepo updates-t*  whatprovides /usr/share/mate
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit, remove-with-leaves, show-leaves
Loading mirror speeds from cached hostfile
 * fedora: mirror01.th.ifl.net
 * rpmfusion-free: mirror01.th.ifl.net
 * rpmfusion-free-updates: mirror01.th.ifl.net
 * rpmfusion-nonfree: mirror01.th.ifl.net
 * rpmfusion-nonfree-updates: mirror01.th.ifl.net
 * updates: mirror01.th.ifl.net
 * updates-testing: mirror01.th.ifl.net
 * updates-testing-debuginfo: mirror01.th.ifl.net
 * updates-testing-source: mirror01.th.ifl.net
mate-dialogs-1.4.0-2.fc17.x86_64 : Displays dialog boxes from shell scripts
Repo        : updates-testing
Matched from:
Filename    : /usr/share/mate
Comment 8 leigh scott 2012-08-19 16:03:52 EDT
(In reply to comment #7)
> (In reply to comment #6)
> 
> > 3.  SHOULD: noticed /usr/share/mate dir is unowned, will leave to you to 
> > decide where in  the mate stack would best own this.  checking
> > /usr/share/gnome
> > $ rpm -q -f /usr/share/gnome
> > filesystem-3-2.fc17.x86_64
> > not helpful here. :(
> > 
> 
> It seems mate-dialogs currently owns /usr/share/mate
> 
> yum --enablerepo updates-t*  whatprovides /usr/share/mate
> Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit,
> remove-with-leaves, show-leaves
> Loading mirror speeds from cached hostfile
>  * fedora: mirror01.th.ifl.net
>  * rpmfusion-free: mirror01.th.ifl.net
>  * rpmfusion-free-updates: mirror01.th.ifl.net
>  * rpmfusion-nonfree: mirror01.th.ifl.net
>  * rpmfusion-nonfree-updates: mirror01.th.ifl.net
>  * updates: mirror01.th.ifl.net
>  * updates-testing: mirror01.th.ifl.net
>  * updates-testing-debuginfo: mirror01.th.ifl.net
>  * updates-testing-source: mirror01.th.ifl.net
> mate-dialogs-1.4.0-2.fc17.x86_64 : Displays dialog boxes from shell scripts
> Repo        : updates-testing
> Matched from:
> Filename    : /usr/share/mate

I believe the best solution here is to give mate-session ownership of /usr/share/mate
Comment 9 Dan Mashal 2012-08-21 04:56:17 EDT
New Package SCM Request
=======================
Package Name: mate-menus
Short Description: Displays menus for MATE Desktop
Owners: vicodan raveit65 rdieter
Branches: f16 f17 f18
InitialCC:
Comment 10 Jon Ciesla 2012-08-21 06:58:58 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-08-21 07:40:07 EDT
mate-menus-1.4.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-menus-1.4.0-3.fc18
Comment 12 Fedora Update System 2012-08-21 07:40:18 EDT
mate-menus-1.4.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-menus-1.4.0-3.fc17
Comment 13 Fedora Update System 2012-08-21 07:40:31 EDT
mate-menus-1.4.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-menus-1.4.0-3.fc16
Comment 14 Fedora Update System 2012-08-21 13:06:47 EDT
mate-menus-1.4.0-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 15 Fedora Update System 2012-08-22 16:59:29 EDT
mate-menus-1.4.0-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Fedora Update System 2012-09-17 18:34:15 EDT
mate-menus-1.4.0-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Dan McPherson 2012-11-08 15:10:09 EST
*** Bug 874722 has been marked as a duplicate of this bug. ***
Comment 18 Fedora Update System 2012-12-01 03:34:51 EST
mate-menus-1.4.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.